Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
cache_entry Struct Reference

## Data Fields
rb_serial_t | method_state
rb_serial_t | class_serial
ID | mid
rb_method_entry_t * | me
VALUE | defined_class

## Detailed Description

Definition at line 32 of file vm_method.c.

## Field Documentation

rb_serial_t cache_entry::class_serial

Definition at line 34 of file vm_method.c.

Referenced by rb_method_entry(), and rb_method_entry_get_without_cache().

VALUE cache_entry::defined_class

Definition at line 37 of file vm_method.c.

Referenced by rb_alias(), rb_export_method(), rb_method_entry(), rb_method_entry_get_without_cache(), rb_method_entry_with_refinements(), and rb_method_entry_without_refinements().

rb_method_entry_t* cache_entry::me

Definition at line 36 of file vm_method.c.

Referenced by check_definition(), rb_export_method(), rb_method_entry(), rb_method_entry_get_without_cache(), rb_method_entry_with_refinements(), rb_method_entry_without_refinements(), rb_mod_modfunc(), rb_resolve_refined_method(), and rb_undef().

rb_serial_t cache_entry::method_state

Definition at line 33 of file vm_method.c.

Referenced by rb_method_entry(), and rb_method_entry_get_without_cache().

ID cache_entry::mid

Definition at line 35 of file vm_method.c.

Referenced by obj_respond_to(), rb_method_entry(), and rb_method_entry_get_without_cache().

The documentation for this struct was generated from the following file:

- vm_method.c